KSycocaEntry Class Referenceabstract

`#include <ksycocaentry.h>`

Inheritance diagram for KSycocaEntry:

## Public Types

typedef KSharedPtr< KSycocaEntry > | Ptr
typedef QValueList< Ptr > | List

## Public Member Functions

virtual bool | isType (KSycocaType t) const
virtual KSycocaType | sycocaType () const
| KSycocaEntry (const QString &path)
| KSycocaEntry (QDataStream &_str, int offset)
virtual QString | name () const =0
QString | entryPath () const
virtual bool | isValid () const =0
virtual bool | isDeleted () const
int | offset ()
virtual void | save (QDataStream &s)
virtual void | load (QDataStream &)=0
Public Member Functions inherited from KShared
| KShared ()
| KShared (const KShared &)
KShared & | operator= (const KShared &)
void | _KShared_ref () const
void | _KShared_unref () const
int | _KShared_count () const

## Static Public Member Functions

static void | read (QDataStream &s, QString &str)
static void | read (QDataStream &s, QStringList &list)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Protected Attributes

bool | m_bDeleted
QString | mPath

## Related Functions

(Note that these are not member functions.)
enum | KSycocaType

## Detailed Description

Base class for all Sycoca entries.

You can't create an instance of KSycocaEntry, but it provides the common functionality for servicetypes and services.

Definition at line 37 of file ksycocaentry.h.

## Constructor & Destructor Documentation

KSycocaEntry::KSycocaEntry | ( | const QString & | path | ) |

inline

Default constructor.

Definition at line 51 of file ksycocaentry.h.

## Member Function Documentation

QString KSycocaEntry::entryPath | ( |  | ) | const

inline

Returns
  the path of this entry The path can be absolute or relative. The corresponding factory should know relative to what.

Definition at line 79 of file ksycocaentry.h.

virtual bool KSycocaEntry::isDeleted | ( |  | ) | const

inline virtual

Returns
  true if deleted

Definition at line 89 of file ksycocaentry.h.

virtual bool KSycocaEntry::isValid | ( |  | ) | const

pure virtual

Returns
  true if valid

virtual QString KSycocaEntry::name | ( |  | ) | const

pure virtual

Returns
  the name of this entry

void KSycocaEntry::read | ( | QDataStream & | s,
|  | QString & | str
| ) |  |

static

Safe demarshalling functions.

Definition at line 470 of file ksycoca.cpp.

## Friends And Related Function Documentation

enum KSycocaType

related

A KSycocaType is a code (out of the KSycocaType enum) assigned to each class type derived from KSycocaEntry . To use it, call the macro K_SYCOCATYPE( your_typecode, parent_class ) at the top of your class definition.

Definition at line 31 of file ksycocatype.h.

The documentation for this class was generated from the following files:

- ksycocaentry.h
- ksycoca.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys